Bug 110938 - r-c-p does not allow individual components in a package group to be de-selected
r-c-p does not allow individual components in a package group to be de-selected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-packages (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-25 13:31 EST by Mike Gahagan
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version: U5/U1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 14:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2003-11-25 13:31:36 EST
Description of problem:

Tried this with Editors, not sure what else can trigger this.

You cannot de-select certain components that are part of a package
group despite being able to do so in the installer.

Version-Release number of selected component (if applicable):
1.2.5-1

How reproducible:
always with the editors group.

Steps to Reproduce:
1.start r-c-p
2.check off "editors" (No, I am not trying to start an editor holy war
here :) )
3.Go into details, you can un-check vim and nedit, however with emacs
or xemacs, we get the following traceback printed to a terminal:

[root@dhcp175 etc]# redhat-config-packages
--isodir=/mnt/nfs/RHEL3/i386/iso/
* Have more than one copy of openssl-0:0.9.7a-22.1.i686, skipping
* setting Workstation Common to not installed
* compat-arch-development references package gdb64 which doesn't exist
* core references package yaboot which doesn't exist
* core references package efibootmgr which doesn't exist
* core references package elilo which doesn't exist
* core references package s390utils which doesn't exist
* core references package ppc64-utils which doesn't exist
* base references package acpid which doesn't exist
* base references package prctl which doesn't exist
* base references package iscsi which doesn't exist
* base references package reiserfs-utils which doesn't exist
* setting GNOME to not installed
* setting Server to not installed
* dialup references package statserial which doesn't exist
* dialup references package lrzsz which doesn't exist
* system-tools references package rhnmd which doesn't exist
* setting Editors to not installed
* setting KDE to not installed
* compat-arch-support references package pam_smp which doesn't exist

[start of traceback, other messages prior to selection of packages]


Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/GroupDetails.py", line 169,
in renderer_toggled
    self.component.unselectPackage(package.nevra())
  File "/usr/share/redhat-config-packages/GroupSet.py", line 841, in
unselectPackage
    pkg = self.packages[pkgnevra]
KeyError: xemacs-0:21.4.13-2.ent.i386
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/GroupDetails.py", line 169,
in renderer_toggled
    self.component.unselectPackage(package.nevra())
  File "/usr/share/redhat-config-packages/GroupSet.py", line 841, in
unselectPackage
    pkg = self.packages[pkgnevra]
KeyError: emacs-0:21.3-4.i386


  
Actual results:

cannot deselect certain components where dependancies shouldn't exist
with no explanation why.

Expected results:

Should either be able to remove components of a group without
tracebacks :) If it would break dependancies, it should notify me in
some reasonable manner allowing me to un-install dependancies as well
if feasible.


Additional info:

I previously removed the vim-enhanced package with "rpm -e" and re-ran
r-c-p in the attempt to reproduce another reported bug. I was able to
install it just fine as well as remove the entire editors group and
add it back (each step in a seperate run) I don't know if this
affected things or not.
Comment 1 Mike Gahagan 2003-11-25 13:34:14 EST
I also just noticed that emacs was never removed when I previously
removed the "editors" group, vim and nedit however were removed (and
installed)

Comment 2 Jeremy Katz 2005-09-21 14:01:13 EDT
This should be better in newer versions of s-c-p

Note You need to log in before you can comment on or make changes to this bug.